<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<event category="ALARM" id="0">
  <actions>
    <action id="603" library="1">
      <!--action name: Code-->
      <kind>CODE</kind>
      <allowRelative>false</allowRelative>
      <question>false</question>
      <canApplyTo>true</canApplyTo>
      <actionType>CODE</actionType>
      <functionName/>
      <relative>false</relative>
      <not>false</not>
      <appliesTo>.self</appliesTo>
      <arguments>
        <argument kind="STRING">
if (isRoom("rLava")) {
  if (y &gt; yStop) {
    y -= 1;
    if (place_snapped(1, 16)) instance_create(x, y+16, oLavaFake);
    if (y &gt; 608) alarm[0] = delay; else alarm[0] = 2;
  }
} else {
  if (y &gt; yStop) {
    y -= 1;
    if (place_snapped(1, 16)) instance_create(x, y+16, oLavaFake);
    alarm[0] = delay;
  }
}
//if (place_snapped(1, 16)) instance_create(x, y+16, oLavaFake);
</argument>
      </arguments>
    </action>
  </actions>
</event>
